## node-sockjs 0.3.24+~0.3.33

=== Makefile ===
.PHONY: all serve clean

COFFEE:=./node_modules/.bin/coffee

#### General

all: build

build: src/*coffee
	@$(COFFEE) -v > /dev/null
	$(COFFEE) -o lib/ -c src/*.coffee

clean:
	rm -f lib/*.js


#### Testing

test_server: build
	node tests/test_server/server.js

serve:
	@if [ -e .pidfile.pid ]; then		\
		kill `cat .pidfile.pid`;	\
		rm .pidfile.pid;		\
	fi

	@while [ 1 ]; do				\
		make build;				\
		echo " [*] Running http server";	\
		make test_server &			\
		SRVPID=$$!;				\
		echo $$SRVPID > .pidfile.pid;		\
		echo " [*] Server pid: $$SRVPID";	\
		inotifywait -r -q -e modify .;		\
		kill `cat .pidfile.pid`;		\
		rm -f .pidfile.pid;			\
		sleep 0.1;				\
	done

=== debian/changelog ===
node-sockjs (0.3.24+~0.3.33-6) unstable; urgency=medium

  * Team Upload.
  * Manually gen files with coffeescript 1
  * Use manually gen files for installation (Closes: #1016732)
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 24 Feb 2023 00:13:15 +0530

node-sockjs (0.3.24+~0.3.33-5) unstable; urgency=medium

  * Team upload
  * Replace /releases by /tags in GitHub urls

 -- Yadd <yadd@debian.org>  Sun, 30 Oct 2022 07:50:14 +0100

node-sockjs (0.3.24+~0.3.33-4) unstable; urgency=medium

  * Team upload
  * Add Breaks+Replaces: libjs-sockjs (<< 0.3.24) (Closes: #1018767)

 -- Yadd <yadd@debian.org>  Tue, 30 Aug 2022 17:43:12 +0200

node-sockjs (0.3.24+~0.3.33-3) unstable; urgency=medium

  * Team upload
  * Add minimal test
  * Install examples
  * Build and provides libjs-sockjs

 -- Yadd <yadd@debian.org>  Tue, 16 Aug 2022 15:06:37 +0200

node-sockjs (0.3.24+~0.3.33-2) unstable; urgency=medium

  * Team upload
  * Fix coffeescript2 patch (Closes: #1016732)

 -- Yadd <yadd@debian.org>  Tue, 16 Aug 2022 11:30:06 +0200

node-sockjs (0.3.24+~0.3.33-1) unstable; urgency=medium

  [ Yadd ]
  * Declare compliance with policy 4.6.1
  * Embed typescript declarations and repack
  * Add fix for coffeescript 2 (Closes: #1013566)

 -- Andrius Merkys <merkys@debian.org>  Mon, 27 Jun 2022 02:42:16 -0400

node-sockjs (0.3.24-2) unstable; urgency=medium

  * No-changes source-only upload.

 -- Andrius Merkys <merkys@debian.org>  Tue, 26 Apr 2022 07:03:26 -0400

node-sockjs (0.3.24-1) unstable; urgency=medium

  * Initial release (Closes: #1007266)

 -- Andrius Merkys <merkys@debian.org>  Tue, 15 Mar 2022 03:24:42 -0400

=== debian/control ===
Source: node-sockjs
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>
Build-Depends:
 curl <!nocheck>,
 debhelper-compat (= 13),
 dh-sequence-nodejs,
 node-faye-websocket,
 node-rollup-plugin-node-polyfills,
 node-rollup-plugin-node-resolve,
 node-rollup-plugin-commonjs,
 node-rollup-plugin-terser,
 node-uuid,
 rollup,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/js-team/node-sockjs
Vcs-Git: https://salsa.debian.org/js-team/node-sockjs.git
Homepage: https://github.com/sockjs/sockjs-node
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-sockjs
Architecture: all
Depends:
 ${misc:Depends},
 node-faye-websocket (>= 0.11.3),
 node-uuid (>= 8.3.2),
 node-websocket-driver (>= 0.7.4)
Provides: ${nodejs:Provides}
 , libjs-sockjs (= ${binary:Version})
Breaks: libjs-sockjs (<< 0.3.24~)
Replaces: libjs-sockjs (<< 0.3.24~)
Description: WebSocket-like API
 SockJS-node is a server counterpart of SockJS-client a JavaScript library that
 provides a WebSocket-like object in the browser. SockJS gives a coherent,
 cross-browser, Javascript API which creates a low latency, full duplex,
 cross-domain communication.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	cp debian/missing-sources/coffee-libs/lib/*.js lib/
	rollup -i index.js \
		-f iife \
		-n sockjs \
		-p rollup-plugin-node-polyfills \
		-p @rollup/plugin-node-resolve \
		-p @rollup/plugin-commonjs \
		-o dist/sockjs.js
	rollup -i index.js \
		-f iife \
		-n sockjs \
		-p rollup-plugin-node-polyfills \
		-p @rollup/plugin-node-resolve \
		-p @rollup/plugin-commonjs \
		-p rollup-plugin-terser \
		-o dist/sockjs.min.js

override_dh_auto_clean:
	$(MAKE) clean

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-sockjs-$1/ \
 https://github.com/sockjs/sockjs-node/tags .*/archive.*/v?([\d\.]+).tar.gz group

opts="searchmode=plain,component=types-sockjs,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-sockjs-$1/" \
 https://registry.npmjs.org/@types/sockjs https://registry.npmjs.org/@types/sockjs/-/sockjs-([\d\.]+)@ARCHIVE_EXT@ group
